<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>HW-4-JS</title>
</head>
<body>

<h2>Methods:</h2>

<p>They are regular functions assigned as object's properties</p>

<script>


    let user = createNewUser();

    console.log(user.getLogin());

    function createNewUser() {

        let newUser = {
            firstName: prompt('please enter your first name', 'first name'),
            lastName: prompt('please enter your last name', 'last name'),
            getLogin: function () {
                return (this.firstName.charAt(0) + this.lastName).toLowerCase()
            }
        };


        return newUser;
    }

</script>

</body>
</html>